

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  font-family: "Inter", "Helvetica Neue", Helvetica, Arial, sans-serif;
  background: #fff;
  color: #222;
  line-height: 1.6;
  overflow-x: hidden;
}



h2 {
  font-size: 34px;
  font-weight: 500;
  color: #1c3d5a;
  margin-bottom: 20px;
  text-align: center;
}

section.head-section h2 {
  text-align: left;
}

h3 {
  font-size: 24px;
  margin-bottom: 10px;
}

p {
  font-size: 18px;
  color: #374151;
}



section {
  padding: 60px 20px;
  scroll-margin-top: 120px;
}

.container {
  max-width: 1100px;
  margin: auto;
}



.topbar {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
}

.topbar-content {
  margin: auto;
  padding: 6px 20px;
  display: flex;
  justify-content: flex-end;
  gap: 20px;
  background: #3a87ee;
  color: white;
}

.topbar i {
  color: #fff;
}


.nav {
  position: fixed;
  top: 32px;
  width: 100%;
  background: rgba(255,255,255,0.95);
  backdrop-filter: blur(10px);
  z-index: 999;
}

.nav-inner {
  max-width: 1100px;
  margin: auto;
  padding: 0px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-links {
  display: flex;
  gap: 25px;
}
.nav-links {
  transition: transform 0.2s ease, opacity 0.2s ease;
}

.nav-links a {
  text-decoration: none;
  color: #374151;
  font-size: 18px;
  transition: 0.2s;
}

.nav-links a:hover {
    color: #2f80ed;
}


.nav-cta {
  background: #2F80ED;
  color: #fff;
  padding: 10px 16px;
  border-radius: 10px;
  text-decoration: none;
  font-size: 18px;
}

.nav-cta:hover {
  background: #1c5fd1;
}



.logo {
  display: flex;
  align-items: center;
}

span.logo-1 img {
    width: 100px;
}


section.head-section {
  padding-top: 90px;
  max-width: 1500px;
  margin: 0 auto;
}

.head-flex {
  display: grid;
  grid-template-columns: 5fr 4fr 1fr;
  gap: 30px;
  align-items: center;
  max-width: 1100px;
  margin: auto;
  min-height: 40vh;
  position: relative;
}

.head-text h2 {
  font-size: 40px;
  line-height: 1.2;
}

.head-text p {
  margin-bottom: 16px;
}

.head-media img {
    width: 150%;
    max-width: 660px;
    position: relative;
    z-index: 2;
}



.about {
  max-width: 900px;
  margin: auto;
}



.qual-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.qual-item {
  background: #fff;
  border: 1px solid #eef2f7;
  border-radius: 16px;
  padding: 25px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 10px;
  transition: 0.25s;
}

.qual-item:hover {
  transform: translateY(-5px);
  box-shadow: 0 12px 26px rgba(0,0,0,0.08);
}

.qual-item i {
  color: #2F80ED;
}

.nav-links {
  display: flex;
  gap: 20px;
}
.services-card {
  background: #fff;
  border: 1px solid #eef2f7;
  border-radius: 18px;
  padding: 35px;
  text-align: center;
}

.services-icons {
  display: flex;
  justify-content: center;
  gap: 15px;
  margin-bottom: 15px;
}

.services-icons i {
  color: #2F80ED;
}
i.fa-solid.fa-car-side {
    font-size: 30px;
}

.pricing-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 25px;
}

.card {
  border: 1px solid #eee;
  border-radius: 16px;
  padding: 25px;
}

.card:hover {
  transform: translateY(-5px);
}

.price-row {
  display: flex;
  justify-content: space-between;
  padding: 8px 0;
}

.price-row span {
  color: #2F80ED;
  font-weight: 600;
}

.highlight {
  border: 2px solid #2F80ED;
  transform: scale(1.03);
}



.contact-grid {

    align-items: baseline;
    justify-items: center;
}

.contact-card {
  border: 1px solid #eee;
  border-radius: 16px;
  padding: 30px;
  text-align: center;
}

.contact-card:hover {
  transform: translateY(-5px);
}

.contact-card i {
  color: #2F80ED;
  font-size: 24px;
}



footer {
  text-align: center;
  padding: 30px;
  color: #777;
}



.phone-link,
.mail-link {
  color: inherit;
  text-decoration: none;
}

.phone-link:hover,
.mail-link:hover {
color: #e9e9e9;
}
.contact-card {
    width: 100%;
}
section.head-section.container {
    margin-top: 40px;
}

.qual-item {
    border: solid 2px #3a87ee;
}

.hamburger {
  display: none;
}

.hamburger {
    margin-top: -20px;
}
.hamburger {
    color: #3a87ee;
    font-size: 35px;
    margin-right: 25px;
}
section#about {
    padding-top: 14px;
}


@media (max-width: 1025px) {

  section.head-section.container {
    margin-top: 30px;
}
.head-flex {
    margin-top: 0px;
}
    .head-flex {
    min-height: 24vh;
}



}

@media (max-width: 915px) {

  .head-flex {
    grid-template-columns: 1fr;
    text-align: center;
    min-height: auto;
  }

  .head-text h2 {
    font-size: 34px;
    text-align: center;
  }

  .head-media img {
    max-width: 110%;
    margin: auto;
  }

  .qual-grid,
  .pricing-grid,
  .contact-grid {
    grid-template-columns: 1fr 1fr;
  }

  .head-text {
    margin-top: 70px;
}
section.head-section {
  padding-top: 55px;}
.head-media img {
    margin-left: -38px;
}
a.nav-cta {margin-right:5px;}

}


@media (max-width: 600px) {
.head-media img {
    margin-left: -18px;
}
  section {
    padding: 45px 15px;
  }

  h2 {
    font-size: 28px;
  }
    .nav-inner {
        flex-direction: row;
        gap: 5px;
    }
    .nav-inner {
        margin-top: 18px;
    }

  .nav-links {
    flex-wrap: wrap;
    justify-content: center;
    gap: 6px;
  }

  
     .nav-links a {
        font-size: 16px;
        padding: 4px 7px;
        background: white;
        border-radius: 8px;
        color: black;
        margin-right: 7px;
  }

  .nav-cta {
    display: none;
  }

  .qual-grid,
  .pricing-grid,
  .contact-grid {
    grid-template-columns: 1fr;
  }

    span.logo-1 img {
        width: 65px;
        margin-top: -20px !important;
    }

    .head-text {
    margin-top: 50px;
}


  body > div > div > span:nth-child(2) {display: none;}
  .mobile-hidden{display:none;}
  section.head-section {
  padding-top: 25px;}



 .nav-links {
    display: none;
    flex-direction: column;

    position: absolute;
    top: 60px; 
    left: 0;

    width: 100%;
    background: white;

    padding: 10px 0;
    z-index: 999;
  }

  .nav-links.active {
    display: flex;
  }
  .nav-links.active a {

    border-bottom: solid 1px #3a87ee !important;
    box-shadow: none;
    border-radius: 0px;
  
}
.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;

  width: 100%;
  height: 100vh;

  background: rgba(255, 255, 255, 0.95); 
  z-index: 998;
}
.nav-links.active {
  display: flex;
}

.overlay.active {
  display: block;
}
.no-scroll {
  overflow: hidden;
}
  .nav-links a {
    width: 100%;
    text-align: center;

    padding: 15px 0;
    font-size: 18px;

    color: #222;
    text-decoration: none;

    border-bottom: 1px solid #eee; 
  }

  .nav-links a:last-child {
    border-bottom: none;
  }

  .hamburger {
    display: block;
    font-size: 30px;
    cursor: pointer;
  }


}

